Index: /trunk/expressoCalendar/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoCalendar/setup/tables_update.inc.php	(revision 5647)
+++ /trunk/expressoCalendar/setup/tables_update.inc.php	(revision 5647)
@@ -0,0 +1,33 @@
+<?php
+	/**************************************************************************\
+	* ExpressoLivre - Setup                                                     *
+	* http://www.expressolivre.org                                              *
+	* --------------------------------------------                             *
+	* This program is free software; you can redistribute it and/or modify it  *
+	* under the terms of the GNU General Public License as published by the    *
+	* Free Software Foundation; either version 2 of the License, or (at your   *
+	* option) any later version.                                               *
+	\**************************************************************************/
+
+	$test[] = '1.000';
+	function expressoCalendar_upgrade1_000() {
+
+		$oProc = $GLOBALS['phpgw_setup']->oProc;
+
+		$oProc->query('ALTER TABLE calendar_participant ADD COLUMN acl varchar(10) not null DEFAULT "r" ');
+		$oProc->query('ALTER TABLE calendar_participant ADD COLUMN receive_notification smallint not null DEFAULT 1 ');
+		$oProc->query('ALTER TABLE calendar_participant RENAME COLUMN delegated_to TO delegated_from ');
+		$oProc->query('UPDATE calendar_participant SET acl = "rowi" where is_organizer = 1 ');
+
+		$oProc->query('ALTER TABLE calendar_object  ALTER COLUMN range_start TYPE bigint USING (date_part(\'epoch\',(cast(range_start as timestamp)))::bigint) * 1000');
+		$oProc->query('ALTER TABLE calendar_object  ALTER COLUMN range_end TYPE bigint USING (date_part(\'epoch\',(cast(range_end as timestamp)))::bigint) * 1000');
+
+		$oProc->query('ALTER TABLE calendar_alarm ALTER COLUMN range_end TYPE bigint USING (date_part(\'epoch\',(cast(range_end as timestamp)))::bigint) * 1000');
+		$oProc->query('ALTER TABLE calendar_alarm ALTER COLUMN range_start TYPE bigint USING (date_part(\'epoch\',(cast(range_start as timestamp)))::bigint) * 1000');
+
+		$oProc->query('ALTER TABLE attachment ADD COLUMN owner integer');
+
+		$GLOBALS['setup_info']['expressoCalendar']['currentver'] = '1.001';
+        return $GLOBALS['setup_info']['expressoCalendar']['currentver'];
+	}
+?>
Index: unk/expressoCalendar/setup/tables_update.php
===================================================================
--- /trunk/expressoCalendar/setup/tables_update.php	(revision 5645)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<?php
-	/**************************************************************************\
-	* ExpressoLivre - Setup                                                     *
-	* http://www.expressolivre.org                                              *
-	* --------------------------------------------                             *
-	* This program is free software; you can redistribute it and/or modify it  *
-	* under the terms of the GNU General Public License as published by the    *
-	* Free Software Foundation; either version 2 of the License, or (at your   *
-	* option) any later version.                                               *
-	\**************************************************************************/
-	
-	$test[] = '1.000';
-	function expressoCalendar_upgrade1_000() {
-		$setup_info['expressoCalendar']['currentver'] = '1.000';
-
-		$oProc = $GLOBALS['phpgw_setup']->oProc;
-
-		$oProc->query('ALTER TABLE calendar_participant ADD COLUMN acl varchar(10) not null DEFAULT "r" ');
-		$oProc->query('ALTER TABLE calendar_participant ADD COLUMN receive_notification smallint not null DEFAULT 1 ');
-		$oProc->query('ALTER TABLE calendar_participant RENAME COLUMN delegated_to TO delegated_from ');
-		$oProc->query('UPDATE calendar_participant SET acl = "rowi" where is_organizer = 1 ');
-
-		$oProc->query('ALTER TABLE calendar_object  ALTER COLUMN range_start TYPE bigint USING (date_part(\'epoch\',(cast(range_start as timestamp)))::bigint) * 1000');
-		$oProc->query('ALTER TABLE calendar_object  ALTER COLUMN range_end TYPE bigint USING (date_part(\'epoch\',(cast(range_end as timestamp)))::bigint) * 1000');
-
-		$oProc->query('ALTER TABLE calendar_alarm ALTER COLUMN range_end TYPE bigint USING (date_part(\'epoch\',(cast(range_end as timestamp)))::bigint) * 1000');
-		$oProc->query('ALTER TABLE calendar_alarm ALTER COLUMN range_start TYPE bigint USING (date_part(\'epoch\',(cast(range_start as timestamp)))::bigint) * 1000');
-
-		$oProc->query('ALTER TABLE attachment ADD COLUMN owner TYPE int');
-
-		$GLOBALS['setup_info']['expressoCalendar']['currentver'] = '1.001';
-        return $GLOBALS['setup_info']['expressoCalendar']['currentver'];
-	}
-
-?>