Index: trunk/prototype/modules/mail/js/followupflag.js
===================================================================
--- trunk/prototype/modules/mail/js/followupflag.js	(revision 5649)
+++ trunk/prototype/modules/mail/js/followupflag.js	(revision 5658)
@@ -423,5 +423,6 @@
 			for(var i=0; i<alarmInRange.length; i++){
 				var date = Date.parseExact(alarmInRange[i].alarmDeadline, 'yyyy-MM-dd hh:mm:ss');
-				alarmInRange[i].alarmDeadline = date.toString('hh:mm');
+				if(date)
+					alarmInRange[i].alarmDeadline = date.toString('hh:mm');
 			}
 			var caption = (alarmInRange.length == 1) ?
@@ -448,5 +449,5 @@
 				'vcenter_short_message': false,
 				'position': ['right - 20', 'bottom - ' + offsetHeight.toString() ],
-				'custom_class': 'right-bottom followupflag-alarm',
+				'custom_class': 'right-bottom followupflag-alarm'
 			}).dialog;
 
Index: trunk/prototype/modules/mail/templates/followupflag_configure.ejs
===================================================================
--- trunk/prototype/modules/mail/templates/followupflag_configure.ejs	(revision 5643)
+++ trunk/prototype/modules/mail/templates/followupflag_configure.ejs	(revision 5658)
@@ -55,5 +55,5 @@
 			<div class="alarm-fields">
 				<input type="checkbox" name="alarm" <%=(followupflagged.alarmDeadline) ? 'checked="checked"' : '' %> /><label><%= get_lang("Alarm")%>: </label>
-				<input type="text" name="alarmDate" class="date" size="9" value="<%=(followupflagged.alarmDeadline) ? followupflagged.alarmDeadline.toString('dd/MM/yyyy') : '' %>" /> ás 
+				<input type="text" name="alarmDate" class="date" size="10" value="<%=(followupflagged.alarmDeadline) ? followupflagged.alarmDeadline.toString('dd/MM/yyyy') : '' %>" /> ás 
 				<input type="text" name="alarmTime" class="time" size="8" value="<%=(followupflagged.alarmDeadline) ? followupflagged.alarmDeadline.toString('hh:mm') : '' %>" />
 			</div>		
@@ -64,5 +64,5 @@
 		<div class="right-data input-done">
 			<label><%= get_lang("Conclusion")%>:</label>
-			<input <%=(followupflagged.isDone && followupflagged.isDone != '0') ? 'disabled="disabled"' : '' %> type="text" name="doneDate" class="date" size="8" value="<%=(followupflagged.doneDeadline) ? followupflagged.doneDeadline.toString('dd/MM/yyyy') : '' %>" /> ás 
+			<input <%=(followupflagged.isDone && followupflagged.isDone != '0') ? 'disabled="disabled"' : '' %> type="text" name="doneDate" class="date" size="10" value="<%=(followupflagged.doneDeadline) ? followupflagged.doneDeadline.toString('dd/MM/yyyy') : '' %>" /> ás 
 			<input <%=(followupflagged.isDone && followupflagged.isDone != '0') ? 'disabled="disabled"' : '' %> type="text" name="doneTime" class="time" size="8" value="<%=(followupflagged.doneDeadline) ? followupflagged.doneDeadline.toString('hh:mm') : '' %>" />
 		</div> 
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 5654)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 5658)
@@ -2919,5 +2919,5 @@
 					calendars: Calendar.calendars,
 					category: '',
-					class: '1',
+					'class': '1',
 					delegatedFrom: {},
 					endDate: startEvent.toString(User.preferences.dateFormat),
Index: trunk/expressoMail1_2/js/doiMenuData.js
===================================================================
--- trunk/expressoMail1_2/js/doiMenuData.js	(revision 5640)
+++ trunk/expressoMail1_2/js/doiMenuData.js	(revision 5658)
@@ -6,11 +6,11 @@
 				var lableleds = new Array();
 				var msg_folder = current_folder;
-				var messages = [];
+				var messages = new Array();
 				if(currentTab == 0){
 					var id = get_selected_messages().split(',');
 					for (i = 0; i < id.length; i++){
 						messages.push({
-							"msg_number": id[i],
-							"msg_folder": msg_folder,
+							msg_number: id[i],
+							msg_folder: msg_folder
 						});
 					}
@@ -34,5 +34,5 @@
 						messages.push({
 							"msg_number": id.replace(/_[a-zA-Z0-9]+/,""),
-							"msg_folder": msg_folder,
+							"msg_folder": msg_folder
 						});
 					}
@@ -90,5 +90,5 @@
 	for(var i=0; i<labels.length; i++) {
 		menuLabelItems["label"+labels[i].id] = {
-			"name" : labels[i].name,
+			"name" : labels[i].name
 		}
 	}