Index: /trunk/prototype/modules/mail/js/followupflag.js
===================================================================
--- /trunk/prototype/modules/mail/js/followupflag.js	(revision 5658)
+++ /trunk/prototype/modules/mail/js/followupflag.js	(revision 5659)
@@ -284,10 +284,10 @@
 					if(current_folder == folder_name){
 						$('#td_message_followup_' + messageNumber + ', ' + 
-						  'tr[role="'+messageNumber+'_'+folder_name+'"] #td_message_followup_search_' + messageNumber).find(".flag-edited").css("background", '#CCC');
+						  'tr[role="'+messageNumber+'_'+folder_name+'"] #td_message_followup_search_' + messageNumber).find(".flag-edited").css("background", '#CCC').attr('title', '');;
 						$('#td_message_followup_' + messageNumber + ', ' + 
 							'tr[role="'+messageNumber+'_'+folder_name+'"] #td_message_followup_search_' + messageNumber).find(".flag-edited")
 							.find("img").attr("src", "../prototype/modules/mail/img/flagEditor.png").css("margin-left","0");
 					}else{
-						$('tr[role="'+messageNumber+'_'+folder_name+'"] #td_message_followup_search_' + messageNumber).find(".flag-edited").css("background", '#CCC');
+						$('tr[role="'+messageNumber+'_'+folder_name+'"] #td_message_followup_search_' + messageNumber).find(".flag-edited").css("background", '#CCC').attr('title', '');;
 						$('tr[role="'+messageNumber+'_'+folder_name+'"] #td_message_followup_search_' + messageNumber).find(".flag-edited")
 							.find("img").attr("src", "../prototype/modules/mail/img/flagEditor.png").css("margin-left","0");
@@ -419,5 +419,5 @@
 		if (!it.enable) continue;
 		
-		var alarmInRange = DataLayer.get('followupflagged', {filter: ['AND', ['>', it.attrDeadline, (new Date()).set({hour:0, minute:0, second:0}).toString('yyyy-MM-dd 00:00:00')], ['<', toIterate.attrDeadline, (new Date()).set({hour:0, minute:0, second:0}).addHours(24).toString('yyyy-MM-dd 00:00:00')]], criteria: {deepness: 1}});
+		var alarmInRange = DataLayer.get('followupflagged', {filter: ['AND', ['>', it.attrDeadline, (new Date()).set({hour:0, minute:0, second:0}).toString('yyyy-MM-dd 00:00:00')], ['<', it.attrDeadline, (new Date()).set({hour:0, minute:0, second:0}).addHours(24).toString('yyyy-MM-dd 00:00:00')]], criteria: {deepness: 1}});
 		if(alarmInRange.length > 0){
 			for(var i=0; i<alarmInRange.length; i++){
Index: /trunk/expressoMail1_2/js/search.js
===================================================================
--- /trunk/expressoMail1_2/js/search.js	(revision 5649)
+++ /trunk/expressoMail1_2/js/search.js	(revision 5659)
@@ -590,5 +590,5 @@
 								updateCacheFollowupflag(messageClickedId, mailbox, false);
 								$('#td_message_followup_' + messageClickedId + ', ' + 
-								  'tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", '#CCC');
+								  'tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", '#CCC').attr('title', '');;
 								$('#td_message_followup_' + messageClickedId + ', ' + 
 									'tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
@@ -599,5 +599,5 @@
 							DataLayer.commit(false, false, function(){
 								updateCacheFollowupflag(messageClickedId, mailbox, false);
-								$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", '#CCC');
+								$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", '#CCC').attr('title', '');;
 								$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
 									.find("img").attr("src", "../prototype/modules/mail/img/flagEditor.png").css("margin-left","0");
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 5658)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 5659)
@@ -1694,5 +1694,4 @@
 				$('#td_message_followup_' + messageClickedId + ', ' + 
 				'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", headers_msgs.followupflagged.backgroundColor).attr('title', 'Follow up');
-				//$(this).find(".flag-edited").css("background", headers_msgs.followupflagged.backgroundColor);
 				headers_msgs.followupflagged.id = DataLayer.put('followupflagged', headers_msgs.followupflagged);
 				DataLayer.commit(false, false, function(){
@@ -1711,5 +1710,5 @@
 					updateCacheFollowupflag(messageClickedId, msg_folder, false);
 					$('#td_message_followup_' + messageClickedId + ', ' + 
-					  'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", '#CCC');
+					  'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", '#CCC').attr('title', '');;
 					$('#td_message_followup_' + messageClickedId + ', ' + 
 						'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")