Index: /trunk/prototype/modules/mail/js/foldertree.js
===================================================================
--- /trunk/prototype/modules/mail/js/foldertree.js	(revision 5657)
+++ /trunk/prototype/modules/mail/js/foldertree.js	(revision 5663)
@@ -279,20 +279,8 @@
 									}
 								}else if( event.keyCode == 27){
-									esc = true;
-									if(confirm(get_lang("Do you want to cancel the folder edition?")))
-										draw_new_tree_folder();
-									else{
-										$(".new_folder").focus().val(name);
-										esc = false;
-									}
+									draw_new_tree_folder();
 								}
 							}).focusout(function(){
-								if(!esc){
-									if(confirm(get_lang("Do you want to cancel the folder edition?")))
-										draw_new_tree_folder();
-									else{
-										$(".new_folder").focus().val(name);
-									}
-								}
+								draw_new_tree_folder();
 							}).val(name);
 						})
@@ -302,5 +290,5 @@
 							
 							var folder_id = $(this).parents(".closed:first").attr('id');
-							var folder_name = $.trim($(this).parents(".closed:first").find(".folder").text().split("[")[0]);
+							var folder_name = "<strong>"+$.trim($(this).parents(".closed:first").find(".folder").text().split("[")[0])+"</strong>";
 							
 							if(valid_tabs($(this).parents("li:first").find("li"), folder_id))
@@ -316,29 +304,41 @@
 								return write_msg(get_lang("It's not possible delete this folder, because it is being used in the moment!")); 
 							}
-							
+							var folder_span = $(this);
 							var confirm_text = get_lang("Do you wish to exclude the folder ");
-							if(!confirm(confirm_text + folder_name)){
+							$.Zebra_Dialog(confirm_text+folder_name, {
+								'type':     'question',
+								'title':    'Confirmação de Exclusão',
+								'buttons':  [get_lang('Yes'), get_lang('No')],
+								'onClose':  function(caption) {
+									if(caption == get_lang('Yes')){
+										$.ajax({
+											url : "controller.php?action=$this.imap_functions.delete_mailbox",
+											type: "POST",
+											data : "del_past="+folder_id,
+											success : function(data){
+												data = connector.unserialize(data);
+												if(data == "Mailbox does not exist"){
+													$(".folders_loading").removeClass("folders_loading");
+													return write_msg(get_lang("Mailbox does not exist"));
+												}
+												write_msg(get_lang("The folder %1 was successfully removed", folder_name));
+												cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+											}
+										});
+									}else{
+										folder_span.parents(".closed:first").find(".folder").removeClass("folders_loading");
+										return;
+									}
+								}
+							});
+							/* if(!confirm(confirm_text + folder_name)){
 								$(this).parents(".closed:first").find(".folder").removeClass("folders_loading");
 								return;
-							}
-							$.ajax({
-								url : "controller.php?action=$this.imap_functions.delete_mailbox",
-								type: "POST",
-								data : "del_past="+folder_id,
-								success : function(data){
-									data = connector.unserialize(data);
-									if(data == "Mailbox does not exist"){
-										$(".folders_loading").removeClass("folders_loading");
-										return write_msg(get_lang("Mailbox does not exist"));
-									}
-									write_msg(get_lang("The folder %1 was successfully removed", folder_name));
-									cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
-								}
-							});
-							
+							} */
 						})
 						//FUNÇÃO DO eventNU FLUTUANTE EXCLUIR < END
 						//FUNÇÃO DO eventNU FLUTUANTE NOVA PASTA < BEGIN
 						.end().find(".float-menu-new").click(function(){
+							$(this).parents(".float-menu").addClass("hidden");
 							var selected_li = $(this).parents(".closed:first");
 							if(selected_li.find("ul:first").length){
@@ -391,20 +391,8 @@
 									});
 								}else if( event.keyCode == 27){
-									esc = true;
-									if(confirm(get_lang("Do you want to cancel the folder creation?")))
-										draw_new_tree_folder();
-									else{
-										$(this).focus();
-										esc = false;
-									}
+									draw_new_tree_folder();
 								}
 							}).focusout(function(){
-								if(!esc){
-									if(confirm(get_lang("Do you want to cancel the folder creation?")))
-										draw_new_tree_folder();
-									else{
-										$(this).focus();
-									}
-								}
+								draw_new_tree_folder();
 							});
 						});
Index: /trunk/prototype/modules/mail/templates/float_folder_menu.ejs
===================================================================
--- /trunk/prototype/modules/mail/templates/float_folder_menu.ejs	(revision 5487)
+++ /trunk/prototype/modules/mail/templates/float_folder_menu.ejs	(revision 5663)
@@ -11,5 +11,5 @@
 %>
 
-<span class="float-menu hidden"  style="position:absolute;text-align: left;z-index : 90000;">
+<span class="float-menu hidden"  style="position:absolute;text-align: left;">
 	<span class="ui-icon ui-icon-document float-menu-new" title="Nova Pasta" style="float: left; text-align: left;"></span>  
 	<%if(!specialFolders[data.name_folder]){ %>
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 5637)
+++ /trunk/expressoMail1_2/js/main.js	(revision 5663)
@@ -67,7 +67,7 @@
 		if (preferences.delete_trash_messages_after_n_days != 0)
 			cExecute ("$this.imap_functions.automatic_trash_cleanness&before_date="+preferences.delete_trash_messages_after_n_days+"&cyrus_delimiter="+cyrus_delimiter, handler_automatic_trash_cleanness);
-
-		if(preferences.outoffice == "1")
-			write_msg(get_lang("Attention, you are in out of office mode."), true);
+		
+		//if(preferences.outoffice == "1")
+		//	
 
 		//Troca da forma de construção de menu para o plugin jquery.contextMenu