Index: /trunk/contactcenter/js/cc.js
===================================================================
--- /trunk/contactcenter/js/cc.js	(revision 5661)
+++ /trunk/contactcenter/js/cc.js	(revision 5669)
@@ -1641,5 +1641,5 @@
 			return '<td style="position: absolute; left: 0; top: 0; z-index: -1; visibility: hidden"><input id="cc_conn_id_' + CC_conn_count + '" type="hidden" value="_NEW_"><input id="cc_conn_is_default_' + CC_conn_count + '" type="hidden" value="false"></td>'+
 			//'<td style="width: 30px;" align="right"><input name="cc_conn_is_default" id="cc_conn_is_default_'+ CC_conn_count +'" type="radio"></td>'+
-			'<td style="width: 10px;" align="right"><input id="cc_conn_name_'+CC_conn_count+'" type="hidden"><td style="width: 100px;" align="right"><span style="width: 150px;" id="cc_conn_label_'+CC_conn_count+'">'+_label+':'+'</span></td>' +
+			'<td style="width: 10px;" align="right"><input id="cc_conn_name_'+CC_conn_count+'" type="hidden"><td style="width: 100px; padding-left: 55px;" align="left"><span style="width: 150px;" id="cc_conn_label_'+CC_conn_count+'">'+_label+':'+'</span></td>' +
 			'<td align="left"><input id="cc_conn_value_'+ CC_conn_count +'" onkeyup="javascript:emailTolower(\'cc_conn_value_' + CC_conn_count + '\')" style="width: 150px;" maxlength="100" type="text">&nbsp;' +
 			'<img align="top" alt="X" title="X" src="templates/default/images/x.png" style="width:18px; height:18px; cursor:pointer;" onclick="javascript:removeConnField(\'cc_conn_tr_' + CC_conn_count + '\')"></td>';
@@ -1649,5 +1649,5 @@
 			return '<td style="position: absolute; left: 0; top: 0; z-index: -1; visibility: hidden"><input id="cc_conn_id_' + CC_conn_count + '" type="hidden" value="_NEW_"><input id="cc_conn_is_default_' + CC_conn_count + '" type="hidden" value="false"></td>'+
 			//'<td style="width: 30px;" align="right"><input name="cc_conn_is_default" id="cc_conn_is_default_'+ CC_conn_count +'" type="radio"></td>'+
-			'<td style="width: 10px;" align="right"><input id="cc_conn_name_'+CC_conn_count+'" type="hidden"><td style="width: 100px;" align="right"><span style="width: 150px;" id="cc_conn_label_'+CC_conn_count+'">'+_label+':'+'</span></td>' +
+			'<td style="width: 10px;" align="right"><input id="cc_conn_name_'+CC_conn_count+'" type="hidden"><td style="width: 100px; padding-left: 55px;" align="left"><span style="width: 150px;" id="cc_conn_label_'+CC_conn_count+'">'+_label+':'+'</span></td>' +
 			'<td align="left"><input id="cc_conn_value_'+ CC_conn_count +'" onkeyup="javascript:emailTolower(\'cc_conn_value_' + CC_conn_count + '\')" style="width: 150px;" maxlength="30" type="text" onkeyup="formatPhone(this)">&nbsp;' +
 			'<img align="top" alt="X" title="X" src="templates/default/images/x.png" style="width:18px; height:18px; cursor:pointer;" onclick="javascript:removeConnField(\'cc_conn_tr_' + CC_conn_count + '\')"></td>';
@@ -1695,10 +1695,12 @@
 
 		var _span = document.createElement("SPAN");
-		_span.style.width = "150px";
+		_span.style.width = "100px";
 		_span.id = "cc_conn_label_"+CC_conn_count;
 		_span.innerHTML = _label + ':';
 		tds[0].appendChild(inputs[0]);
+		tds[1].width = '40px';
 		tds[1].appendChild(inputs[1]);
-		tds[1].align = 'right';
+		tds[1].align = 'left';
+		tds[1].style.padding = "0px 0px 0px 75px";
 		tds[1].appendChild(_span);
 		tds[2].appendChild(inputs[2]);
Index: /trunk/contactcenter/templates/default/full_add.tpl
===================================================================
--- /trunk/contactcenter/templates/default/full_add.tpl	(revision 5661)
+++ /trunk/contactcenter/templates/default/full_add.tpl	(revision 5669)
@@ -213,7 +213,7 @@
 		<tr>
 			<td align="center">
-				<input id="cc_contact_save" style="width: 100px;" type="button" value="{cc_contact_save}" onclick="javascript:postFullAdd();">
-				<input id="cc_contact_reset" style="width: 100px;" type="button" value="{cc_contact_reset}" onclick="javascript:resetFullAdd();">
-				<input id="cc_contact_cancel" style="width: 100px;" type="button" value="{cc_contact_cancel}" onclick="javascript:closeFullAdd();">
+				<input id="cc_contact_save" style="width: 100px; cursor: pointer;" type="button" value="{cc_contact_save}" onclick="javascript:postFullAdd();">
+				<input id="cc_contact_reset" style="width: 100px; cursor: pointer;" type="button" value="{cc_contact_reset}" onclick="javascript:resetFullAdd();">
+				<input id="cc_contact_cancel" style="width: 100px; cursor: pointer;" type="button" value="{cc_contact_cancel}" onclick="javascript:closeFullAdd();">
 			</td>
 		</tr>