Index: trunk/prototype/modules/mail/css/label.css
===================================================================
--- trunk/prototype/modules/mail/css/label.css	(revision 5704)
+++ trunk/prototype/modules/mail/css/label.css	(revision 5713)
@@ -118,6 +118,8 @@
 .label-configure-win .form-item { margin: 5px 0;}
 .label-configure-win .selectedDefault { background: #fed4b4; border: 1px solid #fb8c37; -moz-border-radius: 5px; -webkit-border-radius:5px; }
-.label-configure-win .edit-value-list { opacity:0.65; margin-top:0; width:125px;}
+.label-configure-win .edit-value-list { opacity:0.65; margin-top:0; width:115px;}
 
 #listMarkers{width: 800px !important;}
 .label-configure-win .add-label-button { float:right; cursor: pointer; }
+
+.configure-zebra-dialog {z-index:1007 !important;}
Index: trunk/prototype/modules/mail/css/followupflag.css
===================================================================
--- trunk/prototype/modules/mail/css/followupflag.css	(revision 5616)
+++ trunk/prototype/modules/mail/css/followupflag.css	(revision 5713)
@@ -1,8 +1,7 @@
-.followupflag-configure-win { width:543px; height:412px !important;  } 
+.followupflag-configure-win { width:533px; height:411px !important;  padding:0 !important;} 
 .followupflag-container { 
-	width:530px; 
+	width:520px; 
 	height:398px; 
 	border: 1px solid #A6C9E2; 
-	float:left; 
 	-moz-border-radius: 5px; 
 	-webkit-border-radius: 5px; 
@@ -60,5 +59,5 @@
 	position:absolute; 
 	bottom:14px; 
-	right:11px; 
+	right:10px; 
 	background:transparent; 
 	width:auto; 
Index: trunk/prototype/modules/mail/js/label.js
===================================================================
--- trunk/prototype/modules/mail/js/label.js	(revision 5690)
+++ trunk/prototype/modules/mail/js/label.js	(revision 5713)
@@ -31,5 +31,5 @@
 			var nameLabel = $(".label-list").find(".edit-value-list").val();
 			$(span).html($(".label-list").find(".edit-value-list").val())
-			.parent().find('.edit').removeClass("hidden").parents("li").click(configureLabel).trigger("click");
+			.parent().find('.edit').css("display","").parents("li").click(configureLabel).trigger("click");
 			save_editLabel(nameLabel, data.applyToSelectedMessages);
 			
@@ -39,7 +39,7 @@
 	}).focusout(function(){
 		$(span).html(conteudoSpan)
-		.parent().find('.edit').removeClass("hidden").parents("li").click(configureLabel);
+		.parent().find('.edit').css("display","").parents("li").click(configureLabel);
 	}).focus();
-	$(this).addClass("hidden");
+	$(this).hide();
 }
 
@@ -81,6 +81,7 @@
 	$.Zebra_Dialog('<strong>Deseja excluir esse marcador?</strong>', {
 		'type':     'question',
+		'custom_class': (is_ie ? 'configure-zebra-dialog' : ''),
 		'title':    'Atenção',
-		'buttons': ['Sim','Não'],
+		'buttons': ['Sim','Não'],		
 		'overlay_opacity': '0.5',
 		'onClose':  function(caption) {
@@ -90,4 +91,6 @@
 		}
 	});	
+	if(is_ie)
+		$(".ZebraDialogOverlay").css("z-index","1006");
 }		
 	
@@ -188,5 +191,5 @@
 	var qtdLi = $(".label-list-container ul").find("li").not(".empty-item").length;
 	if (qtdLi == 0){
-		$(".my-labels").addClass("hidden");
+		$(".my-labels").hide();
 		$(".label-list-container ul").find(".empty-item").css("display","");
 		winElement.find(".buttons .save-label .ui-button-text").text('Criar');
@@ -271,5 +274,5 @@
 		winElement.find('.close').click(deleteLabel);
 		
-		$(".my-labels").removeClass("hidden");
+		$(".my-labels").show();
 		
 		$.contextMenu( 'destroy', ".table_box tbody tr");
@@ -455,7 +458,2 @@
 	}).keyup();	
 }
-/**
- * TODO:
- * * Qunado excluir um marcador deve ser removido das mensagens sem que seja necessario atualizar o Expresso.
- * * Quando editado um marcador dever ser atualizado na lista de mensagem onde esse marcador foi aplicado.
- */
Index: trunk/expressoMail1_2/index.php
===================================================================
--- trunk/expressoMail1_2/index.php	(revision 5703)
+++ trunk/expressoMail1_2/index.php	(revision 5713)
@@ -353,8 +353,4 @@
 	echo $obj -> getFilesJs($scripts, $update_version);
 	echo '
-		<link rel="stylesheet" href="../prototype/modules/attach_message/attach_message.css" type="text/css" />	
-		<script type="text/javascript" src="../prototype/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js"></script>
-		<script type="text/javascript" src="../prototype/plugins/timepicker/jquery-ui-timepicker-addon.js"></script>
-		<script type="text/javascript" src="../prototype/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js"></script>
 		<script type="text/javascript">
 			init();
Index: trunk/expressoMail1_2/js/common_functions.js
===================================================================
--- trunk/expressoMail1_2/js/common_functions.js	(revision 5704)
+++ trunk/expressoMail1_2/js/common_functions.js	(revision 5713)
@@ -723,5 +723,5 @@
 
 	dialogElement.dialog({
-		width:542,
+		width:532,
 		height:420,
 		title:get_lang('Follow up'),
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 5710)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 5713)
@@ -364,12 +364,16 @@
 	}).find(".square-color").css("display","");
 
-	$("#MyMarckersList a.title-my-labels").click(function() {
-		$("#MyMarckersList ul.label-list").toggleClass("hidden")
+	$("#MyMarckersList a.title-my-labels").click(function() {	
+		if($("#MyMarckersList ul.label-list").css("display") == "none"){
+			$("#MyMarckersList ul.label-list").show();
+		}else{
+			$("#MyMarckersList ul.label-list").hide();
+		}
 		$('#MyMarckersList .status-list-labels').toggleClass("ui-icon-triangle-1-s");
-		$('#MyMarckersList .status-list-labels').toggleClass("ui-icon-triangle-1-n");
+		$('#MyMarckersList .status-list-labels').toggleClass("ui-icon-triangle-1-n");	
 	 });
-	 
+	
 	if (!labels){
-		$(".my-labels").addClass("hidden");
+		$(".my-labels").hide();
 	}
 }